# peach-web (lite)

A web interface for managing a Scuttlebutt pub.

## Application Structure

The application is divided between the route handlers (`src/routes`), context-builders (`src/context`), templates (`src/templates`) and authentication helper functions. The web server itself is initialised in `src/main.rs`. The context-builders are responsible for retrieving data which is required by the templates. This allows separation of data retrieval and data representation (the job of the templates).

## Built With

[Rouille](https://crates.io/crates/rouille): "a Rust web micro-framework".
[maud](https://crates.io/crates/maud): "Compile-time HTML templates".
[golgi](https://git.coopcloud.tech/golgi-ssb/golgi): "an experimental Scuttlebutt client library".
[peach-lib](https://git.coopcloud.tech/PeachCloud/peach-workspace/src/branch/main/peach-lib).
[peach-network](https://git.coopcloud.tech/PeachCloud/peach-workspace/src/branch/main/peach-network).
[peach-stats](https://git.coopcloud.tech/PeachCloud/peach-workspace/src/branch/main/peach-stats)

## Design Goals

Be lean and fast.

## Licensing

AGPL-3.0
