use log::debug;
use rouille::{post_input, try_or_400, Request, Response};

use crate::templates;

pub fn login() -> Response {
    debug!("received GET request for: /login");

    Response::html(templates::login::login())
}

pub fn login_post(request: &Request) -> Response {
    debug!("received POST request for: /login");

    let data = try_or_400!(post_input!(request, {
        username: String,
        password: String,
    }));

    // TODO: handle authentication...

    debug!("{:?}", data);

    // TODO: add flash message
    Response::redirect_302("/")
}
