use log::debug;
use rouille::Response;

use crate::templates;

pub fn blocks() -> Response {
    debug!("received GET request for: /scuttlebutt/blocks");

    Response::html(templates::scuttlebutt::peers_list("Blocks".to_string()))
}

pub fn follows() -> Response {
    debug!("received GET request for: /scuttlebutt/follows");

    Response::html(templates::scuttlebutt::peers_list("Follows".to_string()))
}

pub fn followers() -> Response {
    debug!("received GET request for: /scuttlebutt/followers");

    Response::html(templates::scuttlebutt::peers_list("Followers".to_string()))
}

pub fn friends() -> Response {
    debug!("received GET request for: /scuttlebutt/friends");

    Response::html(templates::scuttlebutt::peers_list("Friends".to_string()))
}

pub fn peers() -> Response {
    debug!("received GET request for: /scuttlebutt/peers");

    Response::html(templates::scuttlebutt::peers())
}

pub fn private() -> Response {
    debug!("received GET request for: /scuttlebutt/private");

    Response::html(templates::scuttlebutt::private())
}

pub fn profile() -> Response {
    debug!("received GET request for: /scuttlebutt/profile");

    Response::html(templates::scuttlebutt::profile(None, None))
}
