use maud::{html, PreEscaped};

use crate::{templates, STANDALONE_MODE};

// /settings
pub fn menu() -> PreEscaped<String> {
    let back = "/".to_string();
    let title = "Settings".to_string();

    // render a minimal menu (no network settings) if running in standalone mode
    let content = if *STANDALONE_MODE {
        html! {
            (PreEscaped("<!-- SETTINGS MENU -->"))
            div class="card center" {
                (PreEscaped("<!-- BUTTONS -->"))
                div id="settingsButtons" {
                    a id="scuttlebutt" class="button button-primary center" href="/settings/scuttlebutt" title="Scuttlebutt Settings" { "Scuttlebutt" }
                    a id="admin" class="button button-primary center" href="/settings/admin" title="Administrator Settings" { "Administration" }
                }
            }
        }
    } else {
        html! {
            (PreEscaped("<!-- SETTINGS MENU -->"))
            div class="card center" {
                (PreEscaped("<!-- BUTTONS -->"))
                div id="settingsButtons" {
                    a id="network" class="button button-primary center" href="/settings/network" title="Network Settings" { "Network" }
                    a id="scuttlebutt" class="button button-primary center" href="/settings/scuttlebutt" title="Scuttlebutt Settings" { "Scuttlebutt" }
                    a id="admin" class="button button-primary center" href="/settings/admin" title="Administrator Settings" { "Administration" }
                }
            }
        }
    };

    templates::base::base(back, title, content)
}
