use maud::{html, PreEscaped};

pub fn flash_message(flash_msg: Option<String>, flash_name: Option<String>) -> PreEscaped<String> {
    html! {
        (PreEscaped("<!-- FLASH MESSAGE -->"))
        @if flash_msg.is_some() {
            @if flash_name == Some("success".to_string()) {
                div class="capsule center-text flash-message font-success" {
                    (flash_msg.unwrap())
                }
            } @else if flash_name == Some("info".to_string()) {
                div class="capsule center-text flash-message font-info" {
                    (flash_msg.unwrap())
                }
            } @else if flash_name == Some("error".to_string()) {
                div class="capsule center-text flash-message font-failure" {
                    (flash_msg.unwrap())
                }
            }
        }
    }
}
